# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Devel-Hide
Version:	0.0013
Release:	1.%{__distinit}%{__distvers}
Summary:	Forces the unavailability of specified Perl modules (for testing)
License:	GPL+ or Artistic
URL:		https://metacpan.org/release/Devel-Hide
Source0:	https://cpan.metacpan.org/modules/by-module/Devel/Devel-Hide-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module Runtime
BuildRequires:	perl(lib)
# Module::CoreList is used from a private subroutine that is never called
BuildRequires:	perl(strict)
BuildRequires:	perl(vars)
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(Test::More)
# Optional Tests
BuildRequires:	perl(Test::Pod) >= 1.18
BuildRequires:	perl(Test::Pod::Coverage) >= 1.04
# Dependencies
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
Given a list of Perl modules/filenames, this module makes require and use
statements fail (regardless of whether the specified files/modules are
installed or not).

%prep
%setup -q -n Devel-Hide-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/Devel/
%{_mandir}/man3/Devel::Hide.3*

%changelog
* Mon Feb 17 2020 Paul Howarth <paul@city-fan.org> - 0.0013-1
- Update to 0.0013
  - Cope with changes to how the hints hash works in perl 5.31.7

* Sun Feb 16 2020 Paul Howarth <paul@city-fan.org> - 0.0012-1
- Update to 0.0012
  - Add -lexically argument to import() to support hiding modules just during
    the current scope

* Thu Feb 13 2020 Paul Howarth <paul@city-fan.org> - 0.0011-1
- Update to 0.0011
  - @INC hook should die directly (CPAN RT#120220)
  - Match core error more closely (CPAN RT#120221)
  - Add -quiet option to suppress some notices

* Mon Jun  3 2019 Paul Howarth <paul@city-fan.org> - 0.0010-5
- Perl 5.30 rebuild

* Mon Jun 18 2018 Paul Howarth <paul@city-fan.org> - 0.0010-1
- Update to 0.0010
  - Makefile.PL: better prereqs declaration
  - Documentation typo fix
- Switch upstream from search.cpan.org to metacpan.org
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section

* Thu Aug 18 2016 Paul Howarth <paul@city-fan.org> - 0.0009-9
- Classify buildreqs by usage
- Simplify find command using -delete

* Sun Aug 31 2014 Paul Howarth <paul@city-fan.org> - 0.0009-5
- Drop %%defattr, redundant since rpm 4.4

* Tue Jan 29 2013 Paul Howarth <paul@city-fan.org> - 0.0009-1
- Update to 0.0009
  - Avoid "defined @HIDDEN", which generates a warning since Perl 5.15.7
    (CPAN RT#74225)
- Drop upstreamed patch for CPAN RT#74225

* Thu Jun 28 2012 Paul Howarth <paul@city-fan.org> - 0.0008-10
- Add patch to address defined(@array) deprecation warnings (CPAN RT#74225)
- BR: perl(lib)
- Don't need to remove empty directories from the buildroot
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Use DESTDIR rather than PERL_INSTALL_ROOT

* Thu Aug  4 2011 Paul Howarth <paul@city-fan.org> - 0.0008-9
- Import from Fedora

* Mon Jun 20 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.0008-8
- Perl mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0008-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Dec 16 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.0008-6
- Rebuild to fix problems with vendorarch/lib (#661697)

* Fri Apr 30 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.0008-5
- Mass rebuild with perl-5.12.0

* Fri Apr 30 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.0008-4
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.0008-3
- Rebuild against perl 5.10.1

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0008-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Apr 04 2009 Iain Arnell 0.0008-1
- Specfile autogenerated by cpanspec 1.78
